/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.objectdb.test;

import org.objectdb.test.entities.Person;
import java.io.IOException;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Query;
import org.slf4j.LoggerFactory;

/**
 *
 * @author Manoj
 * @since 23 May, 2022
 */
public class Main
{

    private static DB _db;
    private static org.slf4j.Logger logger = LoggerFactory.getLogger(Main.class);

    static
    {
        String ip = "localhost";
        Integer port = 6136;
        String file = "test1";
        String dbname = "testdbautoupgrade1";
        String un = "admin";
        String pwd = "admin";
        String dbtype = "odb";

        EntityManagerFactory emf = DB.CreateServerEM(ip, port, file, dbname, un, pwd, dbtype);
        _db = new DB(emf);

    }

    public static void main(String[] args) throws Exception
    {
//       
        testUpgrade();
//       
    }

    private static void testUpgrade() throws IOException
    {
        Person p = new Person();
        p.setFullName("ManojKumar");
        p.setGender(Person.Gender.Male);

//        Address addr = new Address("HouseNo-1", "Street-1", "LankMark");
//        _db.Insert(addr);
        _db.Insert(p);
//        Query qry = _db.getEm().createQuery("Select a from Address a where a.HouseNo =: hno");
//        qry.setParameter("hno", "HouseNo-1");
//        Address addr = (Address) _db.Fetch(qry).get(0);
//        p.setAddresses(Arrays.asList(addr));
        Query qry = _db.getEm().createQuery("Select a from Person a where a.FullName =: hno");
        qry.setParameter("hno", "Manoj");
        p = (Person) _db.Fetch(qry).get(0);
        p.setPhone("9876543210l");
        _db.Update(p);

        System.in.read();

//         p.setPhone("9876543210l");
//        _db.Update(p);
        System.out.println(p);

        System.in.read();
    }

   

}
